DomainException
LengthException
Exceptions
PHP Manual

# The InvalidArgumentException class

## Einführung

Exception thrown if an argument does not match with the expected value

## Klassenbeschreibung

InvalidArgumentException
InvalidArgumentException extends LogicException {
/* Geerbte Methoden */
final public string Exception::getMessage ( void )
final public Exception Exception::getPrevious ( void )
final public int Exception::getCode ( void )
final public string Exception::getFile ( void )
final public int Exception::getLine ( void )
final public array Exception::getTrace ( void )
final public string Exception::getTraceAsString ( void )
public string Exception::__toString ( void )
final private void Exception::__clone ( void )
}

DomainException
LengthException
Exceptions
PHP Manual